## auto-complete-el 1.3

=== Makefile ===
VERSION=`perl -ne 'print $$1 if /;; Version: (.*)/' auto-complete.el`
PACKAGE=auto-complete-${VERSION}

byte-compile:
	emacs -Q -L . -batch -f batch-byte-compile *.el

install:
	emacs -Q -L . -batch -l etc/install ${DIR}

clean:
	rm -f *.elc
	rm -f doc/*.html
	rm -rf ${PACKAGE}
	rm -f ${PACKAGE}.zip ${PACKAGE}.tar.bz2

package: clean
	mkdir ${PACKAGE}
	cp -r *.el Makefile README.txt TODO.txt doc etc dict ${PACKAGE}

tar.bz2: package
	tar cjf ${PACKAGE}.tar.bz2 ${PACKAGE}

zip: package
	zip -r ${PACKAGE}.zip ${PACKAGE}

=== debian/changelog ===
auto-complete-el (1.3-1) unstable; urgency=low

  * Initial release (Closes: #586779)

 -- Takaya Yamashita <takaya@debian.or.jp>  Fri, 18 Jun 2010 02:01:25 +0900

=== debian/control ===
Source: auto-complete-el
Section: lisp
Priority: extra
Maintainer: Takaya Yamashita <takaya@debian.or.jp>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://cx4a.org/software/auto-complete/

Package: auto-complete-el
Architecture: all
Depends: ${misc:Depends}, emacs | emacs23 | emacs22 | emacs-snapshot
Description: intelligent auto-completion extension for GNU Emacs
 Auto Complete Mode is intelligent auto-completion extension for
 GNU Emacs.
 .
 Auto Complete Mode renews an old completion interface and provides an
 environment that makes users could be more concentrate on their own
 works.

## auto-complete-el 1.3.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 package: clean
 	mkdir ${PACKAGE}
-	cp -r *.el Makefile README.txt TODO.txt doc etc dict ${PACKAGE}
+	cp -r *.el Makefile README.txt TODO.txt COPYING.*.txt doc etc dict ${PACKAGE}
 
 tar.bz2: package
 	tar cjf ${PACKAGE}.tar.bz2 ${PACKAGE}

=== debian/changelog ===
auto-complete-el (1.3.1-2) unstable; urgency=low

  * debian/emacsen-remove:
    - Fix "unowned files after purge". (Closes: #656454)
  * debian/emacsen-startup:
    - Fix "debian-pkg-add-load-path-item". (Closes: #655021)
  * debian/control: Update Standards-Version to 3.9.3.

 -- Takaya Yamashita <takaya@debian.or.jp>  Sun, 25 Mar 2012 23:28:58 +0900

auto-complete-el (1.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    - (Description): Improved the readability of the text. (Closes: #588513)
  * debian/emacs-startup: Autoload setting was removed.

 -- Takaya Yamashita <takaya@debian.or.jp>  Wed, 16 Feb 2011 22:20:38 +0900

=== debian/control ===
Source: auto-complete-el
Section: lisp
Priority: extra
Maintainer: Takaya Yamashita <takaya@debian.or.jp>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://cx4a.org/software/auto-complete/

Package: auto-complete-el
Architecture: all
Depends: ${misc:Depends}, emacs | emacs23 | emacs22 | emacs-snapshot
Description: intelligent auto-completion extension for GNU Emacs
 Auto Complete Mode is an intelligent auto-completion extension for
 GNU Emacs. It extends the standard Emacs completion interface and
 provides an environment that allows users to concentrate more on
 their own work.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

# do nothing.
override_dh_auto_build override_dh_auto_test override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.txt

override_dh_compress:
	dh_compress -X.txt -X.html

=== debian/watch ===
version=3
http://cx4a.org/pub/auto-complete/auto-complete-(.*)\.tar\.bz2

## auto-complete-el 1.5.1

=== Makefile ===
VERSION=`perl -ne 'print $$1 if /;; Version: (.*)/' auto-complete.el`
PACKAGE=auto-complete-${VERSION}
EMACS ?= emacs
CASK ?= cask
SITE=../auto-complete.github.com

ELPA_DIR = \
	.cask/$(shell $(EMACS) -Q --batch --eval '(princ emacs-version)')/elpa

test: elpa
	$(CASK) exec $(EMACS) -batch -Q -L . \
		-l tests/run-test.el \
		-f ert-run-tests-batch-and-exit

byte-compile: elpa
	$(CASK) exec $(EMACS) -Q -L . -batch -f batch-byte-compile auto-complete.el auto-complete-config.el

install: byte-compile
	$(CASK) exec $(EMACS) -Q -L . -batch -l etc/install ${DIR}

README.html: README.md
	pandoc --standalone --to html --output $@ $^

site: README.html
	(cd doc && make)
	cp README.html $(SITE)/index.html
	mkdir -p $(SITE)/doc
	cp doc/*.png doc/*.html doc/*.css $(SITE)/doc

clean:
	rm -f README.html
	rm -f *.elc
	rm -f doc/*.html
	rm -rf ${PACKAGE}
	rm -f ${PACKAGE}.zip ${PACKAGE}.tar ${PACKAGE}.tar.bz2

package: clean
	mkdir ${PACKAGE}
	cp -r *.el Makefile *.md COPYING.* doc dict ${PACKAGE}

package.tar: package
	tar cf ${PACKAGE}.tar ${PACKAGE}

package.tar.bz2: tar
	bzip2 ${PACKAGE}.tar

package.zip: package
	zip -r ${PACKAGE}.zip ${PACKAGE}

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	$(CASK) install
	touch $@

=== doc/Makefile ===
MDS = $(wildcard *.md)
HTMLS = $(MDS:%.md=%.html)

all: $(HTMLS)

manual.html: manual.md
	pandoc --standalone \
		--toc \
		--number-sections \
		--css style.css \
		--from markdown+implicit_header_references \
		--to html \
		--output $@ $^

changes.html: changes.md
	pandoc --standalone \
		--css style.css \
		--to html \
		--output $@ $^

clean:
	rm -f $(HTMLS)

=== debian/changelog ===
auto-complete-el (1.5.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update Homepage field and debian/watch (Closes: #872614)
  * New upstream version 1.5.1 (Closes: #886161, #872612)
  * Update debian/copyright, convert to copyright-format 1.0
  * Modernize package
    - Switch to elpa (Closes: #872616, #746982, #689312)
    - Install dict/*-mode files to source (Closes: #854002)
    - Bump Standards-Version, Debhelper compat level (Closes: #873389)
    - Build HTML documentation using pandoc
    - Remove patch
    - Remove obsolete debian/README.*

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Feb 2018 23:53:45 +0100

auto-complete-el (1.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for emacs25. (Closes: #849240)

 -- Adrian Bunk <bunk@debian.org>  Wed, 19 Jul 2017 14:01:05 +0300

=== debian/control ===
Source: auto-complete-el
Section: lisp
Priority: optional
Maintainer: Takaya Yamashita <takaya@debian.or.jp>
Build-Depends: debhelper (>= 10~), dh-elpa, elpa-popup, pandoc
Standards-Version: 4.1.3
Homepage: https://github.com/auto-complete/auto-complete

Package: elpa-auto-complete
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
Breaks: auto-complate-el (<< 1.5.1-0.1~)
Replaces: auto-complate-el (<< 1.5.1-0.1~)
Description: intelligent auto-completion extension for GNU Emacs
 Auto Complete Mode is an intelligent auto-completion extension for
 GNU Emacs. It extends the standard Emacs completion interface and
 provides an environment that allows users to concentrate more on
 their own work.

Package: auto-complete-el
Architecture: all
Section: oldlibs
Priority: optional
Depends: ${misc:Depends}, elpa-auto-complete,
Description: transitional package for elpa-auto-complete
 This is a transitional package for elpa-auto-complete and can be
 safely removed after ainstallation.

=== debian/watch ===
version=3
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%auto-complete-el-$1.tar.gz%" \
   https://github.com/auto-complete/auto-complete/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
